<script>
  import { fade } from "svelte/transition";
  import { createEventDispatcher } from "svelte";

  export let open;
  export let video;

  const dispatch = createEventDispatcher();
  const close = () => dispatch("close");
</script>

<style>
  #modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    width: var(--modal-width, 60vw);
    height: calc(var(--modal-width, 60vw) / 16 * 9);
    background: #000;
  }

  .overlay {
    background: #000d;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100vw;
    height: 100vh;
    position: fixed;
  }

  .close {
    position: fixed;
    top: calc(50vh - (var(--modal-width, 60vw) / 16 * 9) / 2 - 25px);
    left: calc(50vw + (var(--modal-width, 60vw) / 2) - 60px);
    z-index: 1;
    color: #fff;
    cursor: pointer;
  }

  .close img {
    width: 12px;
  }

  iframe {
    width: 100%;
    height: 100%;
  }

  @media (max-width: 1000px) {
    #modal,
    .close {
      --modal-width: 90vw;
    }
  }
</style>

{#if open}
  <div class="overlay" on:click={close} transition:fade />
  <div class="close" on:click={close} transition:fade>
    <img src="/img/close.svg" alt="" />
    Close
  </div>
  <div id="modal" transition:fade>
    <iframe
      width="560"
      height="315"
      src="https://www.youtube-nocookie.com/embed/{video.id}?autoplay=1"
      frameborder="0"
      allow="accelerometer; autoplay; encrypted-media; gyroscope;
      picture-in-picture"
      allowfullscreen
      title={video.title} />
  </div>
{/if}
